Bug 7464 - (int-152115) mediaplayer treats youtube mp4 urls as audio streams
(int-152115)
: mediaplayer treats youtube mp4 urls as audio streams
Status: RESOLVED FIXED
Product: Media player
General
: 5.0/(2.2009.51-1)
: All Maemo
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: media-player-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-30 04:59 UTC by Philip Langdale
Modified: 2010-03-15 20:54 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Philip Langdale (reporter) 2009-12-30 04:59:44 UTC
if you try and use the dbus mime_open method with a youtube mp4 url, the media
player will decide it's an audio stream and then fail to play it. an flv url
will play correctly as a video and the mp4 stream saved to a file is also
correct.

User-Agent:       Mozilla/5.0 (X11; U; Linux armv7l; en-GB; rv:1.9.2a1pre)
Gecko/20090928 Firefox/3.5 Maemo Browser 1.4.1.21 RX-51 N900
Comment 1 Andre Klapper maemo.org 2009-12-30 11:54:14 UTC
Thanks for reporting this.
For future reference, please always use the bug template.

Any small piece of testcode or at least a test URL? :)
Comment 2 Philip Langdale (reporter) 2009-12-30 19:49:29 UTC
I used the following dbus-send command line to launch the media player:

/usr/bin/dbus-send --print-reply --dest=com.nokia.mediaplayer
/com/nokia/mediaplayer com.nokia.mediaplayer.mime_open string:<url>

This worked correctly for the sample files I created for bug 7465 but does not
work for youtube urls. In both cases, the mimetype is reported as video/mp4, so
that is not the problem.

I can't give you a fixed youtube url as they deliberate make direct download
urls temporary. But if you use firefox on a desktop with this addon:
https://addons.mozilla.org/en-US/firefox/addon/10137 it will add download url
links to each youtube page. Choose the 'MP4' link and then pass that url to the
dbus command line.
Comment 3 Andre Klapper maemo.org 2009-12-30 20:46:28 UTC
Thanks, much clearer now. :)
Comment 4 Andre Klapper maemo.org 2010-01-04 12:20:03 UTC
Routing the uri to the right playing view is fixed in the internal version
2009.53-1.
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 5 Andre Klapper maemo.org 2010-03-15 20:54:53 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).